Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 12eac7367af1ea7729180dcee7ebf9cc3ebb4e38)
+++ sansview/perspectives/fitting/basepage.py	(revision 85b39713a1b0369a5a41020ac7d7a257f273dd9c)
@@ -7,5 +7,5 @@
 import math
 import string
-from sans.guiframe.utils import format_number,check_float,check_value 
+from sans.guiframe.utils import format_number,check_float
 from sans.guicomm.events import StatusEvent
 import pagestate
@@ -935,5 +935,5 @@
             # If qmin and qmax have been modified, update qmin and qmax and 
             # set the is_modified flag to True
-            if check_value( self.qmin, self.qmax):
+            if self._validate_qrange(self.qmin, self.qmax):
                 tempmin = float(self.qmin.GetValue())
                 if tempmin != self.qmin_x:
@@ -984,5 +984,5 @@
             # If qmin and qmax have been modified, update qmin and qmax and 
             # set the is_modified flag to True
-            if check_value( self.qmin, self.qmax):
+            if self._validate_qrange(self.qmin, self.qmax):
                 tempmin = float(self.qmin.GetValue())
                 if tempmin != self.qmin_x:
@@ -1530,5 +1530,36 @@
         self.Layout()     
         
-              
+    def _validate_qrange(self, qmin_ctrl, qmax_ctrl):
+        """
+            Verify that the Q range controls have valid values
+            and that Qmin < Qmax.
+            
+            @param qmin_ctrl: text control for Qmin
+            @param qmax_ctrl: text control for Qmax
+            @return: True is the Q range is value, False otherwise 
+        """
+        qmin_validity = check_float(qmin_ctrl)
+        qmax_validity = check_float(qmax_ctrl)
+        if not (qmin_validity and qmax_validity):
+            return False
+        else:
+            qmin = float(qmin_ctrl.GetValue())
+            qmax = float(qmax_ctrl.GetValue())
+            if qmin < qmax:
+                #Make sure to set both colours white.  
+                qmin_ctrl.SetBackgroundColour(wx.WHITE)
+                qmin_ctrl.Refresh()
+                qmax_ctrl.SetBackgroundColour(wx.WHITE)
+                qmax_ctrl.Refresh()
+            else:
+                qmin_ctrl.SetBackgroundColour("pink")
+                qmin_ctrl.Refresh()
+                qmax_ctrl.SetBackgroundColour("pink")
+                qmax_ctrl.Refresh()
+                msg= "Invalid Q range: Q min must be smaller than Q max"
+                wx.PostEvent(self.parent.parent, StatusEvent(status = msg))
+                return False
+        return True
+
     def _check_value_enter(self, list, modified):
         """
@@ -1590,5 +1621,5 @@
 
                 if param_min != None and param_max !=None:
-                    if not check_value(item[5], item[6]):
+                    if not self._validate_qrange(item[5], item[6]):
                         msg= "Wrong Fit range entered for parameter "
                         msg+= "name %s of model %s "%(name, self.model.name)
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 12eac7367af1ea7729180dcee7ebf9cc3ebb4e38)
+++ sansview/perspectives/fitting/fitpage.py	(revision 85b39713a1b0369a5a41020ac7d7a257f273dd9c)
@@ -11,5 +11,5 @@
 
 from sans.guicomm.events import StatusEvent   
-from sans.guiframe.utils import format_number,check_float,check_value
+from sans.guiframe.utils import format_number,check_float
  
 ## event to post model to fit to fitting plugins
@@ -571,5 +571,5 @@
         #make sure all parameter values are updated.
        
-        flag = self._update_paramv_on_fit() #check_value( self.qmin, self.qmax) 
+        flag = self._update_paramv_on_fit() 
                 
         if not flag:
@@ -745,5 +745,5 @@
 
                 # If qmin and qmax have been modified, update qmin and qmax
-                if check_value( self.qmin, self.qmax):
+                if self._validate_qrange( self.qmin, self.qmax):
                     tempmin = float(self.qmin.GetValue())
                     if tempmin != self.qmin_x:
@@ -1138,5 +1138,5 @@
             to the tcChi txtcrl
         """
-        flag = check_value( self.qmin, self.qmax)
+        flag = self._validate_qrange( self.qmin, self.qmax)
         if flag== True:
             try:
